/*  $Id: TextBuffer.h,v 1.3 1997/04/04 08:23:41 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_TEXTBUFFER_H
#define _PCE_TEXTBUFFER_H

PceExternalClass(ClassTextBuffer);
class PceTextBuffer :public PceObject
{
public:
  PceTextBuffer() :
    PceObject(ClassTextBuffer)
  {
  }
  PceTextBuffer(PceArg contents) :
    PceObject(ClassTextBuffer, contents)
  {
  }
};

inline PceTextBuffer
AsTextBuffer(PceArg a)
{ return *((PceTextBuffer*) &a);
}

#endif /*!_PCE_TEXTBUFFER_H*/
